package com.swiftcleaner.chovey.model.bean;


import android.graphics.drawable.Drawable;


public class AppInfoBean {
    private String appName;
    private Drawable appIcon;
    private String packageName;


    public Boolean isSelected = false;
    public Boolean isInstall = null;
    public Integer score = null;
    public String apkPath = null;

    public AppInfoBean(String appName, Drawable appIcon, String packageName) {
        this.appName = appName;
        this.appIcon = appIcon;
        this.packageName = packageName;
    }

    public AppInfoBean(String appName, Drawable appIcon, String packageName, Boolean isSelected, Boolean isInstall, Integer score, String apkPath) {
        this.appName = appName;
        this.appIcon = appIcon;
        this.packageName = packageName;
        this.isSelected = isSelected;
        this.isInstall = isInstall;
        this.score = score;
        this.apkPath = apkPath;
    }

    // Getters and setters
    public String getAppName() {
        return appName;
    }

    public void setAppName(String appName) {
        this.appName = appName;
    }

    public Drawable getAppIcon() {
        return appIcon;
    }

    public void setAppIcon(Drawable appIcon) {
        this.appIcon = appIcon;
    }

    public String getPackageName() {
        return packageName;
    }

    public void setPackageName(String packageName) {
        this.packageName = packageName;
    }
}
